% shops2.m: Calculate time-averaged PSF of point source image.
scam = trfwild(s2, [], 'fpaImage');
kk = 0;
for ii=1:3,... % There are three turbulence strengths.
   psf(ii).g = zeros(64,64); % The camera is 64x64
   for jj=1:10,... % There are ten realizations for each turbulence strength.
      kk = kk + 1;
      p = tmxparams(s2.r(kk)); % This gets most of the input parameters.
      g.x = opdc(64, p.wavelength/p.apdiam); % The resolution of the camera is lambda/d. 
      g.y = g.x;
      g.g = reshape(scam.r(kk).v(1).d, 64, 64);
      psf(ii).g = psf(ii).g + g.g;
   end;
   psf(ii).x = g.x;
   psf(ii).y = g.y;
   psf(ii).g = 0.1*psf(ii).g;
end;
